r6614 - in trunk/BOOK: . chapter01 chapter03 chapter06

matthew at linuxfromscratch.org matthew at linuxfromscratch.org
Sat Aug 6 04:19:24 PDT 2005


Author: matthew
Date: 2005-08-06 05:19:23 -0600 (Sat, 06 Aug 2005)
New Revision: 6614

Modified:
   trunk/BOOK/chapter01/changelog.xml
   trunk/BOOK/chapter03/patches.xml
   trunk/BOOK/chapter06/vim.xml
   trunk/BOOK/general.ent
   trunk/BOOK/patches.ent
Log:
Update Vim's security patch to fix the latest modeline vulnerability

Modified: trunk/BOOK/chapter01/changelog.xml
===================================================================
--- trunk/BOOK/chapter01/changelog.xml	2005-08-06 11:05:57 UTC (rev 6613)
+++ trunk/BOOK/chapter01/changelog.xml	2005-08-06 11:19:23 UTC (rev 6614)
@@ -93,6 +93,7 @@
 <listitem><para>&glibc-testfix-patch;</para></listitem>
 <listitem><para>&perl-libc-patch;</para></listitem>
 <listitem><para>&mktemp-tempfile-patch;</para></listitem>
+<listitem><para>&vim-security_fix-patch;</para></listitem>
 </itemizedlist>
 </listitem>
 
@@ -106,10 +107,14 @@
 <listitem><para>iproute2-2.6.11-050330-remove_db-1.patch</para></listitem>
 <listitem><para>mktemp-1.5-add_tempfile-2.patch</para></listitem>
 <listitem><para>perl-5.8.6-libc-1.patch</para></listitem>
+<listitem><para>vim-6.3-security_fix-1.patch</para></listitem>
 <listitem><para>zlib-1.2.2-security_fix-1.patch</para></listitem>
 </itemizedlist>
 </listitem>
 
+<listitem><para>August 6th, 2005 [matt]: Updated Vim's security patch to address
+the latest modeline vulnerability</para></listitem>
+
 <listitem><para>July  30th, 2005 [matt]: Added instructions for installing Bash
 documentation (Randy McMurchy).</para></listitem>
 

Modified: trunk/BOOK/chapter03/patches.xml
===================================================================
--- trunk/BOOK/chapter03/patches.xml	2005-08-06 11:05:57 UTC (rev 6613)
+++ trunk/BOOK/chapter03/patches.xml	2005-08-06 11:19:23 UTC (rev 6614)
@@ -142,7 +142,7 @@
 </varlistentry>
 
 <varlistentry>
-<term>Vim Security Patch - 8 KB:</term><listitem>
+<term>Vim Security Patch - 9 KB:</term><listitem>
 <para><ulink url="&patches-root;&vim-security_fix-patch;"/></para>
 </listitem>
 </varlistentry>

Modified: trunk/BOOK/chapter06/vim.xml
===================================================================
--- trunk/BOOK/chapter06/vim.xml	2005-08-06 11:05:57 UTC (rev 6613)
+++ trunk/BOOK/chapter06/vim.xml	2005-08-06 11:19:23 UTC (rev 6614)
@@ -46,8 +46,8 @@
 
 <screen><userinput>echo '#define SYS_VIMRC_FILE "/etc/vimrc"' >> src/feature.h</userinput></screen>
 
-<para>Vim has a security vulnerability already addressed upstream.  The
-following patch fixes the problem:</para>
+<para>Vim has two known security vulnerabilities that have already been
+addressed upstream.  The following patch fixes the problems:</para>
 
 <screen><userinput>patch -Np1 -i ../&vim-security_fix-patch;</userinput></screen>
 

Modified: trunk/BOOK/general.ent
===================================================================
--- trunk/BOOK/general.ent	2005-08-06 11:05:57 UTC (rev 6613)
+++ trunk/BOOK/general.ent	2005-08-06 11:19:23 UTC (rev 6614)
@@ -1,6 +1,6 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!ENTITY version "SVN-20050730">
-<!ENTITY releasedate "July 30, 2005">
+<!ENTITY version "SVN-20050806">
+<!ENTITY releasedate "August 6, 2005">
 <!ENTITY milestone "6.2">
 <!ENTITY generic-version "development"> <!-- Use "development", "testing", or "x.y[-pre{x}]" -->
 

Modified: trunk/BOOK/patches.ent
===================================================================
--- trunk/BOOK/patches.ent	2005-08-06 11:05:57 UTC (rev 6613)
+++ trunk/BOOK/patches.ent	2005-08-06 11:19:23 UTC (rev 6614)
@@ -33,4 +33,4 @@
 
 <!ENTITY util-linux-cramfs-patch "util-linux-&util-linux-version;-cramfs-1.patch">
 
-<!ENTITY vim-security_fix-patch "vim-&vim-version;-security_fix-1.patch">
+<!ENTITY vim-security_fix-patch "vim-&vim-version;-security_fix-2.patch">




More information about the lfs-book mailing list